cBroadcast(3)

NAME
cBroadcast - broadcast signal to all waiting threads.

SYNOPSIS

#include <util/ulocks.h>

NEOERR *cBroadcast(pthread_cond_t *cond);

ARGUMENTS
cond - condition variable to broadcast on.

DESCRIPTION
Broadcasts a signal to all threads waiting on condition variable <cond>.

MT-Level: Safe.

RETURN VALUE
None.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock